<?php

$instpath='/mastostart';
$path=preg_replace('/^'.preg_quote($instpath,'/').'/','',$_SERVER['REQUEST_URI']);
$ndir=preg_match_all('/\//',$path)-1;
$prepath='';
for ($i=0; $i<$ndir; $i++)
	$prepath.='../';

switch($path) {
	case '/':
	case '/en':
	case '/en/':
	$cont=array(
		'fp'=>'home_en.php',
		'lang'=>'en',
		'atit'=>''
	);
	break;
	case '/it':
	case '/it/':
	$cont=array(
		'fp'=>'home_it.php',
		'lang'=>'it',
		'atit'=>''
	);
	break;
	default:
	$cont=array(
		'fp'=>'404.php',
		'lang'=>'en',
		'atit'=>' - 404'
	);
	break;
}

$cssrand=rand(0,999999);

?>
<!DOCTYPE HTML>
<html lang="<?php echo($cont['lang']); ?>">
<head>
<title>Mastodon Startpage<?php echo($cont['atit']); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="description" content="A thorough introduction to mastodon">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
<link rel="shortcut icon" href="<?php echo($prepath); ?>favicon.ico">
<link rel="stylesheet" type="text/css" href="<?php echo($prepath); ?>theme.css?v=<?php echo($cssrand); ?>">
<script language="JavaScript">
<!--

var mshown=false;
function shm() {
	summc=document.getElementById('summcont');
//	hmenu=document.getElementById('hmenu');
	menui=document.getElementById('menuicon');
	if (mshown) {
		summc.style.display='none';
//		hmenu.style.display='none';
		menui.src='<?php echo($prepath); ?>imgs/menuicon_inactive.svg';
		mshown=false;
	} else {
		summc.style.display='block';
//		hmenu.style.display='block';
		menui.src='<?php echo($prepath); ?>imgs/menuicon_active.svg';
		mshown=true;
	}
}

var links=[
'Introduction',
'AboutUs',
'WhatIsMastodon',
'MastodonIsNotASocial',
'SoWhatIsMastodon',
'WhoOwnsMastodon',
'TheInstance',
'RunningAnInstance',
'ChoosingTheInstance',
'MediumAndSmallIsBetter',
'InteractionsAndEchoChambers',
'SoftwareModifications',
'TheSoftware',
'MastodonOnSmartphones',
'MastodonOnTheDesktop',
'UsingMastodon',
'MastodonAccount',
'ThreeTimelines',
'SearchingThings',
'TrendingTopics',
'NoRetweetAndComment',
'LinkingToots',
'ObscuredFollowersList',
'TootsPrivacy',
'ThreadsAndRamifications',
'MovingThroughRamifications',
'MovingToAnotherInstance',
'Moderation',
'HarassmentAndModeration',
'BlockingAndSilencing',
'MastodonAndTwitter',
'MastodonIsNotTwitter',
'TwitterMindset',
'BridgingMastodonAndTwitter',
'Federation',
'TheFediverse',
'DecentralizedAndFederated',
'HowFederationWorksTheory',
'HowFederationWorksPractice',
'OurListOfInstances'
];
function track() {
	var i=links.length-1;
	var ruler=(window.innerHeight || document.documentElement.clientHeight) / 8;
	if ((window.innerHeight + window.pageYOffset) >= document.body.offsetHeight - 20) {
		document.getElementById(links[i]+'L').style.color='#97C3E9';
	} else {
		while (i>=0) {
			if (document.getElementById(links[i]).getBoundingClientRect().top<=ruler) {
				document.getElementById(links[i]+'L').style.color='#97C3E9';
				break;
			} else {
				document.getElementById(links[i]+'L').style.color='#3088D4';
			}
			i--;
		}
	}
	if (i>=0) {
//		console.log('Arrivati a: '+links[i]);
		document.getElementById(links[i]+'L').scrollIntoView({behavior: "smooth", block: "center"});
	}
	while (i>0) {
		i--;
		document.getElementById(links[i]+'L').style.color='#3088D4';
	}
}
//-->
</script>
</head>
<body onscroll="track()">
<nav>
<!--
<div id="hmenu">
<ul>
<li><a href="1">Link 1</a></li>
<li><a href="2">Link 2</a></li>
<li><a href="3">Link 3</a></li>
<li><a href="4">Link 4</a></li>
</ul>
</div>
//-->
<img id="menuicon" src="<?php echo($prepath); ?>imgs/menuicon_inactive.svg" alt="Menu" title="Menu" onclick="shm();">
<div id="summcont">
<div id="summary">

<ol style="margin-bottom: 20pt;">

<li><a href="#Introduction" id="IntroductionL" onclick="shm()" class="lev1summ">Introduction</a></li>

<li><a href="#AboutUs" id="AboutUsL" onclick="shm()" class="lev1summ">About us</a></li>

<li><a href="#WhatIsMastodon" id="WhatIsMastodonL" onclick="shm()" class="lev1summ">What is Mastodon?</a>
<ol>
<li><a href="#MastodonIsNotASocial" id="MastodonIsNotASocialL" onclick="shm()">Mastodon is not <em>a</em> social network</a></li>
<li><a href="#SoWhatIsMastodon" id="SoWhatIsMastodonL" onclick="shm()">So what is Mastodon?</a></li>
<li><a href="#WhoOwnsMastodon" id="WhoOwnsMastodonL" onclick="shm()">Who owns Mastodon?</a></li>
</ol>
</li>

<li><a href="#TheInstance" id="TheInstanceL" onclick="shm()" class="lev1summ">The Instance</a>
<ol>
<li><a href="#RunningAnInstance" id="RunningAnInstanceL" onclick="shm()">Running an Instance</a></li>
<li><a href="#ChoosingTheInstance" id="ChoosingTheInstanceL" onclick="shm()">Choosing the instance</a></li>
<li><a href="#MediumAndSmallIsBetter" id="MediumAndSmallIsBetterL" onclick="shm()">Medium and small Instances are better</a></li>
<li><a href="#InteractionsAndEchoChambers" id="InteractionsAndEchoChambersL" onclick="shm()">Interactions and echo-chambers</a></li>
<li><a href="#SoftwareModifications" id="SoftwareModificationsL" onclick="shm()">Instance based software modifications and personalization</a></li>
</ol>
</li>

<li><a href="#TheSoftware" id="TheSoftwareL" onclick="shm()" class="lev1summ">The software</a>
<ol>
<li><a href="#MastodonOnSmartphones" id="MastodonOnSmartphonesL" onclick="shm()">Mastodon on smartphones</a></li>
<li><a href="#MastodonOnTheDesktop" id="MastodonOnTheDesktopL" onclick="shm()">Mastodon on the desktop</a></li>
</ol>
</li>

<li><a href="#UsingMastodon" id="UsingMastodonL" onclick="shm()" class="lev1summ">Using Mastodon</a>
<ol>
<li><a href="#MastodonAccount" id="MastodonAccountL" onclick="shm()">Mastodon account</a></li>
<li><a href="#ThreeTimelines" id="ThreeTimelinesL" onclick="shm()">Three timelines</a></li>
<li><a href="#SearchingThings" id="SearchingThingsL" onclick="shm()">Searching things</a></li>
<li><a href="#TrendingTopics" id="TrendingTopicsL" onclick="shm()">Where are the trending topics?</a></li>
<li><a href="#NoRetweetAndComment" id="NoRetweetAndCommentL" onclick="shm()">No “Retweet and comment”</a></li>
<li><a href="#LinkingToots" id="LinkingTootsL" onclick="shm()">Linking a toot</a></li>
<li><a href="#ObscuredFollowersList" id="ObscuredFollowersListL" onclick="shm()">“Obscured” followers list</a></li>
<li><a href="#TootsPrivacy" id="TootsPrivacyL" onclick="shm()">The post’s privacy</a></li>
<li><a href="#ThreadsAndRamifications" id="ThreadsAndRamificationsL" onclick="shm()">Threads and ramifications</a></li>
<li><a href="#MovingThroughRamifications" id="MovingThroughRamificationsL" onclick="shm()">Moving through ramifications
<li><a href="#MovingToAnotherInstance" id="MovingToAnotherInstanceL" onclick="shm()">Moving to another Instance</a></li>
</ol>
</li>

<li><a href="#Moderation" id="ModerationL" onclick="shm()" class="lev1summ">Moderation</a>
<ol>
<li><a href="#HarassmentAndModeration" id="HarassmentAndModerationL" onclick="shm()">Harassment &amp; moderation</a></li>
</a></li>
<li><a href="#BlockingAndSilencing" id="BlockingAndSilencingL" onclick="shm()">Blocking and silencing</a></li>
</ol>
</li>

<li><a href="#MastodonAndTwitter" id="MastodonAndTwitterL" onclick="shm()" class="lev1summ">Mastodon &amp; Twitter</a>
<ol>
<li><a href="#MastodonIsNotTwitter" id="MastodonIsNotTwitterL" onclick="shm()">Mastodon is not Twitter...</a></li>
<li><a href="#TwitterMindset" id="TwitterMindsetL" onclick="shm()">...but are you still tangled in a Twitter mindset?</a></li>
<li><a href="#BridgingMastodonAndTwitter" id="BridgingMastodonAndTwitterL" onclick="shm()">Bridging Mastodon and Twitter</a></li>
</ol>
</li>

<li><a href="#Federation" id="FederationL" onclick="shm()" class="lev1summ">Federation</a>
<ol>
<li><a href="#TheFediverse" id="TheFediverseL" onclick="shm()">The Fediverse</a></li>
<li><a href="#DecentralizedAndFederated" id="DecentralizedAndFederatedL" onclick="shm()">Decentralized and federated</a></li>
<li><a href="#HowFederationWorksTheory" id="HowFederationWorksTheoryL" onclick="shm()">How federation works (theory)</a></li>
<li><a href="#HowFederationWorksPractice" id="HowFederationWorksPracticeL" onclick="shm()">How federation works (practice)</a></li>
</ol>
</li>

<li><a href="#OurListOfInstances" id="OurListOfInstancesL" onclick="shm()" class="lev1summ">Our list of Instances</a></li>

</ol>
</div>
</div>
</nav>

<article>
<div id="content">
<div id="header">
<h1>Mastodon Startpage</h1>
</div>

<section>
<h3><a name="Introduction" id="Introduction" class="anchor"></a>Introduction</h3>
<p>Mastodon is an innovative open-source and self-hostable microblogging platform similar to Twitter or Tumblr. Its development was started in 2016 by Eugen Rochko and since then Mastodon constantly attracted new users and communities looking for a social environment independent from big company logics and censorship.</p>
<p>Mastodon is not a Twitter clone: by concept, structure and functionalities it is something completely different and interesting!</p>
<p>This website is an introduction to Mastodon’s basic concepts and features that you should know to fully understand how Mastodon works. It is conceived as a series of independent and menu selectable chapters, but it can also be read as a single text. It also hosts a list of instances that you can browse and use as a starting point to find the Mastodon instance that best fits your needs.</p>
</section>

<section>
<h3><a name="AboutUs" id="AboutUs" class="anchor"></a>About us</h3>
<p>This website is made by a group of enthusiastic Mastodon users, mainly from the italian instance <a href="https://mastodon.bida.im">mastodon.bida.im</a>, and by other contributors from different instances.</p>
<p>Here are some contacts of those involved</p>
<ul>
<li>Ca_Gi: <a href="https://mastodon.bida.im/@Ca_Gi">@Ca_Gi@mastodon.bida.im</a></li>
<li>Pongrèbio: <a href="https://mastodon.bida.im/@pongrebio">@pongrebio@mastodon.bida.im</a></li>
</ul>
<p>Except where otherwise noted, content on this site is licensed under a <a href="https://creativecommons.org/licenses/by/4.0">Creative Commons Attribution 4.0 International license</a>.</p>
</section>

<section class="lev1sect">
<h2><a name="WhatIsMastodon" id="WhatIsMastodon" class="anchor"></a>What is Mastodon?</h2>
</section>

<section>
<h3><a name="MastodonIsNotASocial" id="MastodonIsNotASocial" class="anchor"></a>Mastodon is not <em>a</em> social network</h3>
<p>There is no such thing as <em>a</em> social network called Mastodon! Instead there are thousands of independent social networks called Mastodon Instances.</p>
<p>Every Instance has its own server, community, rules, admins and moderation.</p>
<p>From every Mastodon Instance it is possible to interact with users who are on other Instances. It works exactly like e-mail does (you can send an e-mail from Gmail to Yahoo, right?). That’s because all the Instances can be mutually interconnected.</p>
<p>Every Instance administrator can choose to silence or completely block a user of his or another Instance but also block another Instance as a whole (for example because it has bad moderation and allows trolling).</p>
</section>

<section>
<h3><a name="SoWhatIsMastodon" id="SoWhatIsMastodon" class="anchor"></a>So what is Mastodon?</h3>
<p>When we say “Mastodon” we mean the whole network of Mastodon Instances but also the technology that the Instances share.</p>
<p>A good way to describe the network is by saying that Mastodon is a “galaxy of social networks based on a common platform”.</p>
<p>
</section>

<section>
<h3><a name="WhoOwnsMastodon" id="WhoOwnsMastodon" class="anchor"></a>Who owns Mastodon?</h3>
<p>Everybody! Since Mastodon is a Free and Open Source platform, everybody can use, modify and install it on his own server. Moreover the people who developed Mastodon do not own any copyright on it. That’s the basic philosophy of Free and Open Source Software: to share useful software that everybody can use freely and collaborate to improve it.</p>
<p><img src="<?php echo($prepath); ?>imgs/WhoOwnsMastodon.jpg" class="image" alt="A girl with her arms opened in front of a blue sky. Photo by Jess Hall." title="Photo by Jess Hall."></p>
<p>Your personal data and content is located on the Instance you have chosen. That means that only the instance admins can have access to it (like on every social platform).</p>
</section>

<section class="lev1sect">
<h2><a name="TheInstance" id="TheInstance" class="anchor"></a>The Instance</h2>
</section>

<section>
<h3><a name="RunningAnInstance" id="RunningAnInstance" class="anchor"></a>Running an Instance</h3>
<p>Everyone who has a server and enough skills to manage it can create his-her own Instance. Mastodon’s server software is completely <a href="https://en.wikipedia.org/wiki/Free_and_open-source_software">Free and Open Source Software (FOSS)</a>, but hosting a server and buying a domain name have some costs. It also takes some work to maintain and moderate an Instance. Depending on the technical configuration and the amount of users of the Instance, running it can cost between a few hundred dollars per year to many thousands.<br>
Many Instances are crowfunded but it’s also possible that some will ask a fee or some other way to cover its costs.<br>
Mastodon is born as an Ad-free platform. For this reason, instances that will finance themselve with advertisement will be silenced or blocked by many.</p>
<p><img src="<?php echo($prepath); ?>imgs/RunningAnInstance.jpg" class="image" alt="Close-up of a server. Photo by Whrelf Siemens." title="Photo by Whrelf Siemens."></p>
</section>

<section>
<h3><a name="ChoosingTheInstance" id="ChoosingTheInstance" class="anchor"></a>Choosing the Instance</h3>
<p>Since every Instance is completely independent, each Instance can be very different from the others.</p>
<p>If you sign up on an Instance run by a French vegan community you can expect most of the users to communicate in French, and that posting pictures of barbecues and meat food would be considered offensive.<br>
Similarly, if you sign up on an Instance run by a British religious community, the users will communicate in English and pictures of barbecues will be welcomed, but maybe posting nudity would be a problem.<br>
Choosing the Instance that better fits your needs and attitudes is the best way to access the Mastodon galaxy.</p>
<p>You can choose an Instance by language, moderation policy, political views or any other criteria. Anyway, the more you feel at home on your chosen Instance, the better it is.</p>
<p>A well-run Instance will have its policies clearly written on its homepage and also publish the list of blocked or silenced Instances.</p>
<p>It’s extremely important that you sign up on an Instance whose admins share your language, your culture and, possibly, your political views: that way you will be able to have an easier time communicating with them.</p>
<p>Don’t be afraid to try out as many Instances as you like: you can always delete your accounts later on, link them to one another, or even keep them all! The sky is the limit!</p>
</section>

<section>
<h3><a name="MediumAndSmallIsBetter" id="MediumAndSmallIsBetter" class="anchor"></a>Medium and small Instances are better</h3>
<p>There are thousands of different Mastodon Instances. There are Instances with only 5 users but also Instances with more than 100.000 users.</p>
<p>One such Instance is mastodon.social. It’s the Instance created and run by the creator of Mastodon, but that doesn’t mean it should be considered some sort of “official” Mastodon Instance, because every Instance has equal standing to the others.</p>
<p>The problem with those very huge Instances is that, since they are not connected to a specific community or identity, they tend to replicate some of the problems of the big commercial social networks in regards to users’ behaviour.</p>
<p>As an example: if in your country you are part of a threathened minority and you are registered on a huge Instance and another user from your country harrasses you, it will be a struggle for the admin just to understand that you are the harrassed one! At the opposite, if you are registered on an Instance dedicated to your community, it will be easier for the admin to intervene quickly.</p>
<p>That’s just one of the reasons why the Mastodon network works at its best by connecting many small and medium Instances instead of relying on a bunch of gigantic ones.</p>
<p>For all those reasons, on this website we will not list such big Instances among our suggestions.</p>
</section>

<section>
<h3><a name="InteractionsAndEchoChambers" id="InteractionsAndEchoChambers" class="anchor"></a>Interactions and echo-chambers</h3>
<p>Given all the possibilities that users and admins have to block other users and Instances, one could argue that Mastodon is a network filled with closed communities that don’t talk to each other and isolate themselves in their own echo-chambers.</p>
<p><img src="<?php echo($prepath); ?>imgs/Echo_chambers-Streuli_Silvan.png" class="image" alt="Two monkey teddy bears, one covering its ears, the other covering its eyes. Photo by Streuli Silvan." title="Photo by Streuli Silvan."></p>
<p>While this is technically possible, the truth is completely different and in fact on Mastodon there is a huge variety of communities that is rarely seen on most social networks.<br>
Basically, every Instance can interact with all the other ones and later decide to close some of these connections. That’s up to the community that runs the Instance, its culture and mind openness. A closed minded community that doesn’t respect different people and lifestyles will easily block and be blocked from other Instances. On the other hand, an Instance run by open-minded people that is willing to talk respectfully with others will never be blocked by other open-minded communities.</p>
<p>Since its inception, Mastodon has been adopted by various communities that carry anti-fascist, anti-racist, anti-sexist, pro-LGBT, anti-homophobic, anti-transphobic values and with time attracted other communities that promote animal rights, vegetarianism and veganism and also minorities, human rights groups etc. Therefore, racist and bigots would be surely banned from most Instances and if they would run their own Instances, those Instances would be quickly isolated from most of the existing ones.</p>
</section>

<section>
<h3><a name="SoftwareModifications" id="SoftwareModifications" class="anchor"></a>Instance based software modifications and personalization</h3>
<p>Since Mastodon software is open source (if you are a geek you can find the code <a href="https://github.com/tootsuite/mastodon">here</a>), every Instance administrator can apply some little modifications to it. For example some Instances make it possible for a user to publish posts longer than the standard 500 characters. Also, some Instances can choose to not use certain features like Trending Hashtags.</p>
</section>

<section class="lev1sect">
<h2><a name="TheSoftware" id="TheSoftware" class="anchor"></a>The software</h2>
</section>

<section>
<h3><a name="MastodonOnSmartphones" id="MastodonOnSmartphones" class="anchor"></a>Mastodon on smartphones</h3>
<p>Everybody has an e-mail address, but as you can notice there is no “official” e-mail App. Instead you can access to your e-mail from your web browser or using one of many e-mail Apps. In much the same way, there is no official App for Mastodon (and you can always use your web browser!).</p>
<p>On Android you have many alternatives, the most notable being Tusky, Fedilab and Subway Toot. You can download these either from the Google Play App-store or from <a href="https://f-droid.org">F-Droid</a>, a free and open source alternative to App-stores.</p>
<p>On iOS you have a similar amount of choice, with Amaroq, Toot and Mast being the most widely used Apps.</p>
<p>Every App is slightly different from the others and will have its pros and cons, so you will have to check them out and see for yourself what fits you best, just like with Mastodon Instances!</p>
<p>Be aware that some of those Apps, such as Toot and Mast, may not be free or open source!</p>
<p><img src="<?php echo($prepath); ?>imgs/MastodonOnSmartphones.png" class="image" alt="Three screenshots showing Mastodon running on smartphones."></p>
</section>

<section>
<h3><a name="MastodonOnTheDesktop" id="MastodonOnTheDesktop" class="anchor"></a>Mastodon on the desktop</h3>
<p>The usual way to access to your Instance from your desktop computer is by going to the Instance homepage trough your browser. But there are also Desktop Applications for Mastodon like</p>
<ul>
<li><a href="https://whalebird.org">Whalebird</a> (Linux, Windows, OSX)</li>
<li><a href="https://appcenter.elementary.io/com.github.bleakgrey.tootle">Tootle</a> (Linux)</li>
<li><a href="https://thedesk.top/en">TheDesk</a> (Linux, Windows, OSX)</li>
<li><a href="https://hyperspace.marquiskurt.net">Hyperspace</a> (Linux, Windows, OSX)</li>
</ul>
<p>There are also alternative frontends! A frontend is a website where you can login with your Mastodon account but doesn’t show your standard home page graphics: the colours, buttons and menus are all different and maybe you could find them better or easier to use then the original ones.</p>
<ul>
<li><a href="https://pinafore.social">Pinafore</a>: a simplified Mastodon frontend</li>
<li><a href="https://www.halcyon.social">Halcyon</a>: Looks exactly like Twitter</li>
</ul>
<p>Apps and frontends can add, hide or customize certain functions that you find when you access to your Instance from its homepage. Therefore sometimes it’s possible to find tips, advices or instructions that are not applicable if you use them on a different one. Take notice.</p>
<p><img src="<?php echo($prepath); ?>imgs/MastodonOnDesktop.png" class="image" alt="A screenshot from Mastodon official web frontend."></p>
</section>

<section class="lev1sect">
<h2><a name="UsingMastodon" id="UsingMastodon" class="anchor"></a>Using Mastodon</h2>
</section>

<section>
<h3><a name="MastodonAccount" id="MastodonAccount" class="anchor"></a>Mastodon account</h3>
<p>A Mastodon account is formed somehow like an e-mail account:
<p><em>@name@instance</em></p>
<p>If you write only <em>@name</em>, most of the Apps will assume that the contact is on the same Instance you are currently logged into. Therefore, if that person is on a different Instance and you don’t write the <em>@instance</em> part, clicking on <em>@name</em> will either result in a broken link or bring you to somebody with the same name on your Instance.</p>
<p>Some Apps will correct this behaviour, so check it out.</p>
</section>

<section>
<h3><a name="ThreeTimelines" id="ThreeTimelines" class="anchor"></a>Three timelines</h3>
<p>On Mastodon you have 3 different timelines</p>
<ul>
<li><em>Home</em>: like on Twitter, it shows all the posts of all the people you follow on all Instances;</li>
<li><em>Local</em>: it shows all the posts of the members of your Instance;</li>
<li><em>Federated</em>: it shows all the posts of the people that you follow and also the posts of people on other Instances that are followed by people of your Instance.</li>
</ul>
<p>On every timeline the posts are shown in chronological order. This means that no algorythm, number of stars or other factors will influence the number of times you will see a post. A post can be boosted (“retweeted”) but that’s it.</p>
<p><img src="<?php echo($prepath); ?>imgs/ThreeTimelines.png" class="image" alt="Screenshot showing the three timelines header."></p>
</section>

<section>
<h3><a name="SearchingThings" id="SearchingThings" class="anchor"></a>Searching things</h3>
<p>In many Instances, if you search something in the search box of Mastodon, it will find only users or #hashtags. A more powerful search system will be implemented in the near future.</p>
<p>The search box does not explore the entire Fediverse but only the portion of it that your instance is connected to. Therefore if you search a user it will search among all the users of your instance and of the instances you are connected to, but not those who are on instances you aren’t connected to. If you search an hashtag it will not list all the posts from all the existing instances containing it but only the posts published by users that your instance knows.</p>
<p><img src="<?php echo($prepath); ?>imgs/SearchingThings.png" class="image" alt="A screenshot showing the search box."></p>
</section>

<section>
<h3><a name="TrendingTopics" id="TrendingTopics" class="anchor"></a>Where are the trending topics?</h3>
<p>Twitter’s “Trending Topics” feature finds its Mastodon’s counterpart in “Trending Hashtags”. When “Trending Hashtags” are active, though, they’re reviewed by the admins to ensure they aren’t being gamed as a vector for abuse. However what’s most important is that this feature is completely optional: it is up to each instance’s admin and its community to decide if they want to have “Trending Hashtags”, and in fact many instances don’t activate it, thus eliminating the urge for their users to participate in certain topics instead of others and all the “social noise” about vapor-problems. So many Mastodon Instances are places where you can talk with people without having to know by a “Trending Topics” board that a certain topic is more important than the one you really want to talk about.</p>
<p><img src="<?php echo($prepath); ?>imgs/TrendingTopics.png" class="image" alt="A screenshot showing the 'trending hashtags' feature."></p>
</section>

<section>
<h3><a name="NoRetweetAndComment" id="NoRetweetAndComment" class="anchor"></a>No “Retweet and comment”</h3>
<p>The “boost” function has no “comment” feature like the “retweet and comment” button on Twitter.<br>
That’s by design, because it’s a feature that is mostly used to harrass people and leads to talks around a topic but without direct interaction. Yes, we know, it also has legitimate uses but, well, the point here is to prefer real interactions than boosts.</p>
</section>

<section>
<h3><a name="LinkingToots" id="LinkingToots" class="anchor"></a>Linking a toot</h3>
<p>If you want to suggest somebody to read a certain thread on Mastodon you can boost it or interact directly in the thread and mention the account of the person that you want to join the discussion.</p>
<p>You can also reference to a post by copying its URL and pasting it into a post of yours. That’s ok too, but remember that it will work correctly only from desktop and from certain Apps. In other Apps, clicking on the link will take the user from the App to the browser.</p>
<p><img src="<?php echo($prepath); ?>imgs/LinkingAToot.png" class="image" alt="A screenshot showing the 'three dots' menu with 'copy link to status' entry highlighted."></p>
</section>

<section>
<h3><a name="ObscuredFollowersList" id="ObscuredFollowersList" class="anchor"></a>“Obscured” followers list</h3>
<p>When you check another user’s profile you will see the number of people who follow and who are followed by them, but if you click on that number you can’t see the entire list of people. Instead you can only see some of them: the ones you already know or who are members of your same Instance.<br>
That’s by design, being an anti-harrassment feature.<br>
Let’s check real life: in real life you don’t walk around with the list of your friends attached to your neck, do you?<br>
But then, if you cannot discover new people by checking who is following who, how can you find and meet new people on Mastodon? By <em>talking</em>, socializing and discussing things. When you boost friends’ posts you are presenting them to all your other friends and so on. Mastodon emphasizes real human socialization instead of espionage-style exploration of profiles.</p>
<p><img src="<?php echo($prepath); ?>imgs/ObscuredFollowersList.png" class="image" alt="A screenshot showing the 'Follows' list."></p>
</section>

<section>
<h3><a name="TootsPrivacy" id="TootsPrivacy" class="anchor"></a>The post’s privacy</h3>
<p>When you post a message (toot) you can choose among 4 types of posting</p>
<ul>
<li><em>Public</em>: your post is public, it appears on public timelines and everybody can see it. <em>Public</em> posts are recognizable by a globe icon.</li>
<li><em>Not listed</em>: your post is still public but doesn’t appear on timelines. People can read it only if they are mentioned in it or if they go to your profile and scroll through your posts. <em>Not listed</em> posts are recognizable by an open padlock icon.</li>
<li><em>Followers only</em>: your post is still half-public because only your followers will see it. At their eyes it appears as a regular public post. <em>Followers only</em> posts are recognizable by a closed padlock icon.</li>
<li><em>Direct</em>: your post is private and viewable only by the people mentioned in it. <em>Direct</em> posts are recognizable by an envelope icon.</li>
</ul>
<p>Anyway remember that Mastodon is designed to spread interactions and not for privacy: your Instance admins can read all your messages, including direct ones, just like on every other big social network.</p>
<p>For encrypted messaging there are other and more specific platforms.</p>
</section>

<section>
<h3><a name="ThreadsAndRamifications" id="ThreadsAndRamifications" class="anchor"></a>Threads and ramifications</h3>
<p>A thread can evolve in a sort of “tree” because people will reply and counter-reply to different posts. In the following picture you see a thread that, from a single post, evolves in four different branches:</p>
<p><img src="<?php echo($prepath); ?>imgs/thread_01.svg" class="image" alt="A graphical representation of a thread with four branches."></p>
<p>Twitter users are quite used to it but if you arrived here from different platforms (eg. Facebook) this can be a little bit confusing.</p>
</section>

<section>
<h3><a name="MovingThroughRamifications" id="MovingThroughRamifications" class="anchor"></a>Moving through ramifications</h3>
<p>If you want to read a thread that is highly ramificated, the most important concept to understand is that when a post is selected, the thread is reorganized to show only the branch that starts from the first toot and arrives to the selected one, plus all the posts and branches following the selected post.</p>
<p><img src="<?php echo($prepath); ?>imgs/thread_01.svg" class="image" alt="A graphical representation of a thread with four branches."></p>
<p>Let’s make some examples. If you want to read the thread pictured above and you select the first toot, all the following posts will be rearranged in chronological order (see the picture below).</p>
<p><img src="<?php echo($prepath); ?>imgs/thread_02.svg" class="image" alt="A graphical representation of the succession of posts when you select the first toot from the thread pictured in the previous image."></p>
<p>Now, pay attention: if you pick the thread by selecting the post nr. 2 you will still see all the following posts in chronological order, but you will not see the previous ramification (the sub-thread containing the posts 2a and 3a).</p>
<p><img src=<?php echo($prepath); ?>"imgs/thread_03.svg" class="image" alt="A graphical representation of the succession of posts when you select the second toot from the thread pictured in the first image."></p>
<p>Also, if you pick the last post of a sub-thread (in this picture the post 7c) you will see all the previous posts in chronological order, but excluding all the other sub-threads.</p>
<p><img src="<?php echo($prepath); ?>imgs/thread_04.svg" class="image" alt="A graphical representation of the succession of posts when you select the last toot from one branch of the thread pictured in the first image."></p>
</section>

<section>
<h3><a name="MovingToAnotherInstance" id="MovingToAnotherInstance" class="anchor"></a>Moving to another Instance</h3>
<p>If you want to change Instance it is possible to transfer all your data (including posts, followers and blocked users list) to the new one. To do so you must first export your data from the settings page of the Instance you are currently on and import them to your new account on your desired Instance.</p>
<p><img src="<?php echo($prepath); ?>imgs/MovingToAnotherInstance.png" class="image" alt="Screenshot showing the 'Import and export' feature."></p>
<p>Please beware that if an old version of the Mastodon software is used in one of those Instances, this process could only partially work.<br>
Also beware that Mastodon Developers are planning to change how these tools will work.</p>
</section>

<section class="lev1sect">
<h2><a name="Moderation" id="Moderation" class="anchor"></a>Moderation</h2>
</section>

<section>
<h3><a name="HarassmentAndModeration" id="HarassmentAndModeration" class="anchor"></a>Harassment &amp; moderation</h3>
<p>Mastodon is famous for its anti-harassment environment not because there isn’t any on it (that would be impossible) but because its structure and moderation tools permit a series of efficient and immediate actions against bad accounts or Instances and because most of the Instances are run by communities that actively work to maintain Mastodon’s environment a nice and tolerant place. Many communities help, inform and warn each other when they identify an Instance run by people that spread hatespeech or trolling. Having admins and moderators for every single instance, the ratio between regular users and moderators can be extremely high. Also remember that every Instance has its own policy based on the community’s culture, ethics and political view. Moderation is <em>always</em> a political act and claiming for total impartiality means taking the side of the status quo.</p>
</section>

<section>
<h3><a name="BlockingAndSilencing" id="BlockingAndSilencing" class="anchor"></a>Blocking and silencing</h3>
<p>If the admins of Instance1 <em>block</em> Instance2, then the users of Instance1 cannot interact with the users of Instance2.</p>
<p>If the admins of Instance1 <em>silence</em> Instance2, then the users of Instance1 can still privately follow and interact with the users of Instance2, but those interactions (like boosts) will not be seen by the other users of Instance1.</p>
<p>To be more clear: <em>blocking</em> is used for Instances that permit horrible things and behaviours, while <em>silencing</em> is used for Instances that your Instance tolerate but doesn’t appreciate that much.</p>
<p>The same things are applicable to users.</p>
<p>You too, as a simple user, can decide to block or silence – for your eyes – other users and entire Instances.</p>
<p>Please note that even if Instance2 is blocked, it’s still possible that their users see some contents of Instance1. More effective kinds of blocking are in development.</p>
</section>

<section class="lev1sect">
<h2><a name="MastodonAndTwitter" id="MastodonAndTwitter" class="anchor"></a>Mastodon &amp; Twitter</h2>
</section>

<section>
<h3><a name="MastodonIsNotTwitter" id="MastodonIsNotTwitter" class="anchor"></a>Mastodon is not Twitter...</h3>
<p>On Mastodon you will not receive notifications like “40 people liked the post you boosted” or “John is tweeting about this” or “Laura and Mike are now following Hannah”.</p>
<p>Nobody will tell you what you “must” read or who you “must” follow.</p>
<p>Nobody cares that much about the “success” of a post.</p>
<p>There are no blue badges for verified accounts.</p>
<p>You get informed about how many people “starred” or boosted your post and that’s it.</p>
<p>To know how many times a certain post was boosted or “starred” you must click on it. But there is no emphasis on it and in fact nobody really cares.</p>
<p>What’s important, here, is to interact in real conversations and... who cares about “points” received from people that don’t interact?</p>
</section>

<section>
<h3><a name="TwitterMindset" id="TwitterMindset" class="anchor"></a>...but are you still tangled in a Twitter mindset?</h3>
<p>Are you still searching for the Trending Topics that will impose to everyone today’s obligatory conversation topic?</p>
<p>Are you searching for “people to follow” instead of “people to interact with”?</p>
<p>Are you still planning time-wasting things like hashtag wars instead of doing something real?</p>
<p>Are you searching for emotional and social gratification in the number of retweets you receive?</p>
<p>Are you still judging a post by the number of likes that it received?</p>
<p>Are you still writing cool posts to obtain likes insted of writing interesting things that stimulate discussion and interaction?</p>
<p>If so, please pay attention: there is still much Twitter <em>inside you</em>! And it takes some time to heal... 😉</p>
</section>

<section>
<h3><a name="BridgingMastodonAndTwitter" id="BridgingMastodonAndTwitter" class="anchor"></a>Bridging Mastodon and Twitter</h3>
<p>You can still maintain some relation with your previous Twitter account using crossposting services.</p>
<p>There are services like <a href="https://ifttt.com">ifttt.com</a> and <a href="https://crossposter.masto.donte.com.br">masto.donte</a> which can connect your Twitter account with your Mastodon account. With this services you can publish your tweets on Mastodon and/or publish your toots on Twitter.</p>
<p>We <em>strongly</em> suggest to use only the second option because, being centered on real interactions, a Mastodon account that is simply a Twitter bot that doesn’t reply will easily be blocked by many.</p>
<p>Many Instances have strong rules about the use of crossposters, expecially because if you use them from Twitter to Mastodon, your Mastodon account could be considered like a <em>bot</em> and also <em>bots</em> are sometimes strongly regulated. So check your Instance policy before using them.</p>
<p>If you want mention a Twitter user in a toot crossposted to Twitter and you want his username to be clickable either from Mastodon and from Twitter users, you must write it as follows:</p>
<p><em>https://twitter.com/username</em></p>
<p><img src="<?php echo($prepath); ?>imgs/BridgingMastodonAndTwitter.png" class="image" alt="A mastodon, two arrows (one pointing left, one pointing right) and Twitter's logo."></p>
</section>

<section class="lev1sect">
<h2><a name="Federation" id="Federation" class="anchor"></a>Federation</h2>
</section>

<section>
<h3><a name="TheFediverse" id="TheFediverse" class="anchor"></a>The Fediverse</h3>
<p>All the Mastodon Instances that together form the entire “Mastodon Galaxy” are part of something much bigger called the Fediverse.</p>
<p>Besides Mastodon there are many other free platforms. Some of them, like <a href="https://www.pleroma.com">Pleroma</a> or <a href="https://misskey.com">Misskey</a> are also similar to Twitter, but others are very different</p>
<ul>
<li><a href="https://pixelfed.org/join">PixelFed</a> is similar to Instagram;</li>
<li><a href="https://joinpeertube.org">PeerTube</a> is similar to Youtube;</li>
<li><a href="https://friendi.ca">Friendica</a> is similar to Facebook;</li>
<li><a href="https://funkwhale.audio">FunkWhale</a> is similar to Soundcloud;</li>
<li><a href="https://writefreely.org/instances">Write.as</a> and <a href="https://joinplu.me">Plume</a> are blogging platforms;</li>
<li><a href="https://hubzilla.eu">Hubzilla</a> is a powerful multi-functional platform.</li>
</ul>
<p>And there are more...</p>
<p>All of them, like Mastodon, don’t have a unique central server but are a “Galaxy” of many Instances. There is no “main” or “official” Friendica Instance, you can choose among different PixelFed Instances and so on...</p>
<p>Please note that what on Mastodon is called an “Instance”, on other platforms may have a different name (for example, on Hubzilla it is called an “Hub”).</p>
<p>And <em>all</em> of these platforms (“Galaxies”) interact with each other, forming the Fediverse.</p>
<p>What does that mean? Well, imagine that you could natively receive Facebook statuses on Twitter, or even liking and commenting a YouTube video using your Tumblr account.</p>
<p>That’s what the Fediverse is! You have an account on Pixelfed? Ok, I don’t use Pixelfed but I can follow you from Mastodon! A friend of mine does’t like Mastodon but prefers the more Facebook-like Friendica? No problem: he can follow me from Friendica and we can both chat and interact, staying each one on the platform that we prefer.</p>
<p>Also remember that the whole Fediverse is an innovative work in progress where not everything works yet perfectly and some adjustments on your part may be needed. Things will likely work differently from what you expect and the developers may not have time or interest in implementing things that you think should be priorities.</p>
<p><img src="<?php echo($prepath); ?>imgs/Fediverse-Galaxy.jpg" class="image" alt="Logos of many FOSS social network platforms in front of a picture of a galaxy."></p>
</section>

<section>
<h3><a name="DecentralizedAndFederated" id="DecentralizedAndFederated" class="anchor"></a>Decentralized and federated</h3>
<p>The majority of commercial social platforms are centralized networks. That means that everything on them is run and controlled by one authority, usually the company that owns the platform.</p>
<p>If you want to interact with a Twitter user, for example, you can do it only by signing up on Twitter.com, thus agreeing to abide by Twitter’s terms and conditions policy.</p>
<p><img src="<?php echo($prepath); ?>imgs/network-centralized.svg" class="image" alt="A graphical representation of a centralized network, showing Twitter's logo at its center, surrounded by many dots connected to it by straight lines."></p>
<p>Mastodon is instead a galaxy of decentralized and independent networks called instances, each one with its own website, policy and community.</p>
<p><img src="<?php echo($prepath); ?>imgs/network-decentralized.svg" class="image" alt="A graphical representation of a decentralized network, showing four Mastodon's logos, each one surrounded by many dots connected to it by straight lines."></p>
<p>But Mastodon is also federated! That means that all of these networks can (but are not obliged to) interact with each other.</p>
<p><img src="<?php echo($prepath); ?>imgs/network-federated.svg" class="image" alt="A graphical representation of a federated network, showing four Mastodon's logos, each one surrounded by many dots connected to it by straight lines. Each Mastodon's logo is also connected to each other by a curved line."></p>
</section>

<section>
<h3><a name="HowFederationWorksTheory" id="HowFederationWorksTheory" class="anchor"></a>How federation works (theory)</h3>
<p>A fresh new instance is not federated with any other instance, so its users can initially interact only with other users on the same instance.</p>
<p><img src="<?php echo($prepath); ?>imgs/federation-01.svg" class="image" alt="A graphical representation of a new, isolated Mastodon instance, and three networks of Mastodon instances, not yet connected to each other."></p>
<p>Once you create a connection with somebody on another instance, or somebody on another instance creates a connection with somebody on your instance (we will see later how), all the users of your instance can begin to interact with that user.</p>
<p><img src="<?php echo($prepath); ?>imgs/federation-02.svg" class="image" alt="The previously isolated Mastodon instance has established a new connection with another instance."></p>
<p>The user of the other instance will boost and interact with posts of other users of their instance and also other instances that are just in connection with them. All the people on your instance can see those interactions and participate in them. By doing so, the number of connections will start to grow (that’s what federation means).</p>
<p><img src="<?php echo($prepath); ?>imgs/federation-03.svg" class="image" alt="The previously isolated Mastodon instance has established many new connections with other instances."></p>
<p>Every single user of any instance can create a new connection with new instances.</p>
<p><img src="<?php echo($prepath); ?>imgs/federation-04.svg" class="image" alt="A new connection between two previously unconnected instances."></p>
<p>Therefore, the more you interact with people on other instances, the more your instance network will grow and become part of a huge, gigantic federated network formed by lots of instances. Your federated network will probably never cover the entire Mastodon galaxy but only a part of it. How much depends on you to decide. The more people on other instances you connect with, the bigger your network will be.</p>
<p><img src="<?php echo($prepath); ?>imgs/federation-05.svg" class="image" alt="Almost every instance is now connected to each other."></p>
<p>If one day your instance decides to end the interaction with a certain other instance by blocking it, all your connections with other instances will remain and other instances can continue to interact with the instance that is blocked by your instance.</p>
<p><img src="<?php echo($prepath); ?>imgs/federation-06.svg" class="image" alt="An instance blocks another instance."></p>
<p>Note some instances end up creating completely different “parallel” networks. This can happen because those instances are blocked by many instances in your network or just because connections don’t exist (yet). They too are on Mastodon, but in a completely different part of the galaxy. Far far away, they are not part of your federated network but members of an autonomous and independent network.</p>
<p>Also note that the the same concepts are appliable to all the platforms of the Fediverse! Your instance isn’t limited to connecting with other Mastodon instances, you can connect your instance with people on Pleroma, Friendica, Pixelfed, Peertube and so on. How vast and wide-ranging your view of the Fediverse can be is entirely up to you! 😉</p>
</section>

<section>
<h3><a name="HowFederationWorksPractice" id="HowFederationWorksPractice" class="anchor"></a>How federation works (practice)</h3>
<p>How can you create a connection with people that you don’t know on instances that nobody on your network has ever seen before?</p>
<p>Well, that’s a little bit tricky and it works exactly as in real life: by exploring, going to new places, searching new things and having different experiences.</p>
<p>On commercial centralized networks everything happens inside: by design you search things without ever going outside the platform and remaining inside their gates.</p>
<p>Here it is different: your federation will not grow very much if you remain tangled inside the borders of your own network. You must go outside Mastodon, read blogs, magazines, create a new account on a different instance, surf other networks and forums, have real life interactions to find new and completely unknown instances to add to your network! There are also webpages dedicated to the discovery of new Instances. Only explorers will enlarge their federation. Always remember that every closed gate is bad for your mind: Mastodon is not a walled garden separated from what exists outside of Mastodon itself.</p>
<p>That said, as you have seen in the previous chapter, connections are easy to make and although the Fediverse is huge, an instance will never really be isolated and unknown if it is willing to interact with others.</p>
<p>When you see some content you want to include in your network (for example an account or a post from another federated platform that uses ActivityPub, the communication protocol shared by all the platforms of the Fediverse), cut and paste the URL or account address into the search box of your instance. This will create a connection, and you can boost the post or follow that account. That’s it!</p>
<p>This process can change slightly depending on whether you access Mastodon directly via the website of your instance or through an App. It can also be slightly different on other Fediverse platforms.<br>
Some platforms have special buttons for helping you in this process. One of those is PeerTube.<br>
If you find a PeerTube video that you want to share on Mastodon, you can click on the button "share":</p>
<p><img src="<?php echo($prepath); ?>imgs/Peer1.png" class="image" alt="A screenshot showing Peertube with 'Share' button highlighted."></p>
<p>This will open a popup where you can easily copy the video's URL by clicking on the "copy" button:</p>
<p><img src="<?php echo($prepath); ?>imgs/Peer2.png" class="image" alt="A screenshot showing Peertube sharing dialogue."></p>
<p>Go to your Instance and paste the URL in the search box. The video appears in Mastodon and here you can like, comment or boost it. You can also decide to follow the user that posted the video. Everything as it was a Mastodon user.</p>
<p><img src="<?php echo($prepath); ?>imgs/Peer3.png" class="image" alt="A screenshot showing Mastodon search box with Peertube url pasted into it."></p>
<p>Otherwise, if you wanted only to follow that user, on PeerTube you can click on the button "Subscribe":</p>
<p><img src="<?php echo($prepath); ?>imgs/Peer4.png" class="image" alt="A screenshot showing Peertube with 'Subscribe' button highlighted."></p>
<p>This will open a popup that asks your Mastodon account:</p>
<p><img src="<?php echo($prepath); ?>imgs/Peer5.png" class="image" alt="A screenshot showing Peertube subscribe dialogue."></p>
<p>After logging in your Instance you can click on the "follow" button:</p>
<p><img src="<?php echo($prepath); ?>imgs/Peer6.png" class="image" alt="A screenshot showing Mastodon follow dialogue."></p>
<p>That's it! Now you can go to your Mastodon page or close the window and go back to PeerTube:</p>
<p><img src="<?php echo($prepath); ?>imgs/Peer7.png" class="image" alt="A screenshot showing Mastodon follow dialogue after clicking the 'Follow' button."></p>
</section>

<section class="lev1sect">
<h2><a name="OurListOfInstances" id="OurListOfInstances" class="anchor"></a>Our list of Instances</h2>
</section>

<section style="margin-bottom: 0;">
<!--// <h3><a name="OurListOfInstances" id="OurListOfInstances" class="anchor"></a>Our list of Instances</h3> -->
<p>Here you can browse through our list of Instances, a selection we have made including only those which have between a minimum of 11 and a maximum of 30,000 users and, as far as we currently know, do not spread hate content.</p>
<p>[WORK IN PROGRESS]</p>
</section>
</div>
</article>
</body>
</html>
